%define srcname Smarty

# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	The compiling PHP template engine
Name:		php-smarty
Version:	3.1.21
Release:	%mkrel 1
License:	LGPL
Group:		Development/Other
Url:		http://www.smarty.net/
Buildarch:	noarch

Source0:	http://www.smarty.net/files/%{srcname}-%{version}.tar.gz
Source1:	http://www.smarty.net/files/docs/manual-en-3.1.8.zip
Source2:	smarty.gif

Conflicts:	%{name}2

%description
Smarty is a template engine for PHP.  More specifically, it facilitates a
manageable way to separate application logic and content from its presentation.
This is best described in a situation where the application programmer and the
template designer play different roles, or in most cases are not the same
person.

For example, let's say you are creating a web page that is displaying a
newspaper article.

- The article headline, tagline, author and body are content elements, they
  contain no information about how they will be presented.  They are passed
  into Smarty by the application,

- then the template designer edits the templates and uses a combination of HTML
  tags and template tags to format the presentation of these elements (HTML
  tables, background colors, font sizes, style sheets, etc.)

- One day the programmer needs to change the way the article content is
  retrieved (a change in application logic.)  This change does not affect the
  template designer, the content will still arrive in the template exactly the
  same.

- Likewise, if the template designer wants to completely redesign the
  templates, this requires no changes to the application logic.

- Therefore, the programmer can make changes to the application logic without
  the need to restructure templates, and the template designer can make changes
  to templates without breaking application logic. 

%package doc
Summary:	The HTML manual for Smarty
Group:		Development/Other
Obsoletes:	%{name}-manual

%description doc
The HTML manual for Smarty

%prep
%setup -q -n %{srcname}-%{version} -a1

%build

%install
mkdir -p %{buildroot}%{_datadir}/php/%{srcname}
mkdir -p %{buildroot}%{_var}/www/icons

cp -aRf libs/* %{buildroot}%{_datadir}/php/%{srcname}
install -m0644 %{SOURCE2} %{buildroot}/var/www/icons/smarty.gif

# fix attribs
find %{buildroot}%{_datadir}/php/%{srcname} -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/php/%{srcname} -type f -exec chmod 644 {} \;

cd %{buildroot}%{_datadir}/php
ln -s %{srcname} ./smarty

%pretrans
[ -L %{_datadir}/php/smarty ] || rm -rf %{_datadir}/php/smarty

%files
%doc COPYING.lib README SMARTY*
%{_datadir}/php/%{srcname}
%{_datadir}/php/smarty
%{_var}/www/icons/smarty.gif

%files doc
%doc manual-en/*




%changelog
* Fri Nov 14 2014 luigiwalser <luigiwalser> 3.1.21-1.mga4
+ Revision: 797131
- 3.1.21 (fixes CVE-2014-8350)

* Tue Oct 22 2013 umeabot <umeabot> 3.1.15-2.mga4
+ Revision: 542308
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 oden <oden> 3.1.15-1.mga4
+ Revision: 497320
- 3.1.15

* Thu Aug 29 2013 tv <tv> 3.1.14-2.mga4
+ Revision: 472941
- make description be readable

* Thu Aug 29 2013 oden <oden> 3.1.14-1.mga4
+ Revision: 472908
- 3.1.14

* Sat May 04 2013 anssi <anssi> 3.1.11-4.mga3
+ Revision: 412283
- fix migration from a directory to a symlink (migration needs to be in
  pretrans as of rpm 4.11)

* Sun Jan 13 2013 umeabot <umeabot> 3.1.11-3.mga3
+ Revision: 377568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 obgr_seneca <obgr_seneca> 3.1.11-2.mga3
+ Revision: 279368
- remove old install dir before the installation

* Tue Jul 17 2012 obgr_seneca <obgr_seneca> 3.1.11-1.mga3
+ Revision: 271755
- new version 3.1.11
- changed installation path to upper case name
- added symlink to lower case name for compatibility reasons
- lower case name is deprecated and will be removed after Mga3

* Thu Jun 28 2012 obgr_seneca <obgr_seneca> 3.1.10-1.mga3
+ Revision: 264669
- New version 3.1.10

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 3.1.8-1.mga2
+ Revision: 216045
- new version 3.1.8

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 3.1.7-1.mga2
+ Revision: 208840
- new version 3.1.7

* Fri Nov 18 2011 obgr_seneca <obgr_seneca> 3.1.5-1.mga2
+ Revision: 168897
- new version 3.1.5wq

* Wed Sep 21 2011 obgr_seneca <obgr_seneca> 3.1.0-1.mga2
+ Revision: 146318
- new version 3.1.0

* Fri Sep 16 2011 obgr_seneca <obgr_seneca> 3.0.8-1.mga2
+ Revision: 144248
- new version 3.0.8wq

* Sat Jan 15 2011 spuhler <spuhler> 3.0.6-1.mga1
+ Revision: 19513
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-smarty

